; =====================================================
; ==================  SAFEROOM PROPS  =================
; =====================================================

; --- Add the saferoom props from map 3 to map 2

add:

{
	"classname" "info_lighting"
	"targetname" "sfproplight"
	"origin" "-4644.52 -5486.66 41.3769"
}
{
	"classname" "prop_dynamic"
	"angles" "0 180 180"
	"disablereceiveshadows" "0"
	"disableshadows" "1"
	"lightingorigin" "sfproplight"
	"model" "models/props_fairgrounds/tol_tunnel_heart.mdl"
	"solid" "6"
	"origin" "-4449.52 -5503.66 -132.623"
}
{
	"classname" "prop_dynamic"
	"angles" "0 0 0"
	"disablereceiveshadows" "0"
	"disableshadows" "1"
	"lightingorigin" "sfproplight"
	"model" "models/props_fairgrounds/tol_tunnel_heart.mdl"
	"solid" "6"
	"origin" "-4448.52 -5503.66 63.3769"
}
{
	"classname" "prop_dynamic"
	"angles" "0 270 0"
	"disablereceiveshadows" "0"
	"disableshadows" "1"
	"model" "models/props_industrial/warehouse_shelf001.mdl"
	"solid" "6"
	"origin" "-4463.12 -5564.78 -64.5013"
}
{
	"classname" "prop_dynamic"
	"angles" "0 270 0"
	"disablereceiveshadows" "0"
	"disableshadows" "1"
	"model" "models/props_industrial/warehouse_shelf003.mdl"
	"solid" "6"
	"origin" "-4629.12 -5564.78 -64.5013"
}
{
	"classname" "prop_dynamic"
	"angles" "0 0 0"
	"disablereceiveshadows" "1"
	"disableshadows" "1"
	"lightingorigin" "sfproplight"
	"model" "models/props_fairgrounds/tol_tunnel_heart.mdl"
	"solid" "6"
	"origin" "-4884.52 -5503.66 63.3769"
}
{
	"classname" "prop_dynamic"
	"angles" "0 180 -180"
	"disablereceiveshadows" "1"
	"disableshadows" "1"
	"lightingorigin" "sfproplight"
	"model" "models/props_fairgrounds/tol_tunnel_heart.mdl"
	"solid" "6"
	"origin" "-4885.52 -5503.66 -132.623"
}

; =====================================================
; ===============  PILL CABINET TWEAK  ================
; =====================================================

; --- set pill cabs to have a max of 2 pills

;modify:
;{
;	match:
;	{
;		"model" "models/props_interiors/medicalcabinet02.mdl"
;	}
;	replace:
;	{
;		"HealthCount" "2"
;	}
;}

 ; =====================================================
; =========  PROMOD HUNTINGRIFLE REPLACEMENT  =========
; =====================================================

; replace hr with random weapon since it is next to an ammo pile
;modify:
;{
;	match:
;	{
;		"weapon_selection" "any_sniper_rifle"
;	}
;	replace:
;	{
;		"weapon_selection" "tier1_any"
;	}
;}

; =====================================================
; ===============  EXTRA AMMO PILE ====================
; =====================================================

; --- add ammo pile near carousel for late tanks

add:
{
		"classname" "weapon_ammo_spawn"
		"origin" "-1960 -4407 -121"
		"spawnflags" "2"
		"solid" "6"
		"model" "models/props/terror/ammo_stack.mdl"
		"disableshadows" "1"
		"count" "5"
		"angles" "0 0 0"
}

; =====================================================
; ================  DOOR REMOVAL  =====================
; =====================================================

filter:
{
	"classname" "prop_door_rotating"
}
{
	"classname" "func_door_rotating"
}

; =====================================================
; ================  EXPLOITS BLOCKED  =================
; =====================================================
add:
; --- block saferoom trigger bounds (fixes versus start before saferoom opened)
{
	; invisible block inside saferoom door
	"targetname" "block_versus_start_checkpoint"
	"origin" "1742 2568 0"
	"mins" "-8 0 0"
	"maxs" "0 430 128"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; <remove block as soon as door is opened>
modify:
{
	match:
	{
		"targetname" "checkpoint_exit"
	}
	insert:
	{
		"OnOpen" "block_versus_start_checkpointKill0-1"
	}
}

add:
; --- block climbing first generator near saferoom
{
	; invisible block along generator pole
	"origin" "2790 970 140"
	"mins" "-7 -7 -56"
	"maxs" "7 7 56"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- blocking being punched on top of jug game building
{
	; invisible block
	"origin" "2720 512 440"
	"mins" "-184 -216 -328"
	"maxs" "184 216 328"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block being punched on top of unmarked game building
{
	; invisible block
	"origin" "2720 0 448"
	"mins" "-194 -162 -320"
	"maxs" "194 162 320"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block tops of backside tents
{
	; invisible block above tents 1
	"origin" "4346 -1020 456"
	"mins" "-74 -320 -312"
	"maxs" "74 320 312"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block above tents 2
	"origin" "4348 -1472 456"
	"mins" "-68 -68 -312"
	"maxs" "68 68 312"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block above tents 3
	"origin" "4366 -630 456"
	"angles" "0 5 0"
	"mins" "-68 -68 -312"
	"maxs" "68 68 312"
	"boxmins" "-68 -68 -312"
	"boxmaxs" "68 68 312"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block tops of middle tents
{
	; invisible block above tents 1
	"origin" "3836 -960 456"
	"mins" "-68 -68 -312"
	"maxs" "68 68 312"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block above tents 2
	"origin" "3840 -1344 456"
	"mins" "-68 -68 -312"
	"maxs" "68 68 312"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block above tents 3
	"origin" "3900 -1540 456"
	"mins" "-136 -132 -312"
	"maxs" "136 132 312"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block above tents 4
	"origin" "3873 -815 456"
	"angles" "0 6 0"
	"mins" "-68 -68 -312"
	"maxs" "68 68 312"
	"boxmins" "-68 -68 -312"
	"boxmaxs" "68 68 312"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block tops of weapons side tents
{
	; invisible block above tents 1
	"origin" "3376 -1248 456"
	"mins" "-68 -68 -312"
	"maxs" "68 68 312"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block above tents 2
	"origin" "3389 -1091 456"
	"angles" "0 -26 0"
	"mins" "-68 -68 -312"
	"maxs" "68 68 312"
	"boxmins" "-68 -68 -312"
	"boxmaxs" "68 68 312"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block top of shipping container
{
	; invisible block above shipping container
	"origin" "3168 -1264 448"
	"mins" "-64 -192 -320"
	"maxs" "64 192 320"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block tops of hotdog stands
{
	; invisible block above hotdog stand 1
	"origin" "3474 -1964 454"
	"mins" "-110 -56 -314"
	"maxs" "110 56 314"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block above hotdog stand 2
	"origin" "3696 -1911 454"
	"angles" "0 14 0"
	"mins" "-110 -56 -314"
	"maxs" "110 56 314"
	"boxmins" "-110 -56 -314"
	"boxmaxs" "110 56 314"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block top of maintenance section behind hotdog carts
{
	; invisible block above maintenance boxes
	"origin" "3778 -2176 460"
	"mins" "-70 -24 -308"
	"maxs" "70 24 308"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block camping on generator to block spawns on warehouse roof
{
	; invisible block on generator
	"origin" "2892 -1724 195"
	"mins" "-8 -8 -91"
	"maxs" "8 8 91"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block climbing on shelves of boxes in warehouse for jesus spots and tank out-of-reach
{
	; invisible block above first section shelf
	"origin" "2528 -1488 192"
	"mins" "-80 -32 -64"
	"maxs" "80 32 64"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block above left side shelf 1
	"origin" "2352 -1488 192"
	"mins" "-80 -32 -64"
	"maxs" "80 32 64"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block above left side shelf 2
	"origin" "2208 -1440 192"
	"mins" "-32 -80 -64"
	"maxs" "32 80 64"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block above left side shelf 3
	"origin" "1840 -1488 192"
	"mins" "-80 -32 -64"
	"maxs" "80 32 64"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block above right side shelf 1
	"origin" "2208 -1136 192"
	"mins" "-32 -80 -64"
	"maxs" "32 80 64"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block above right side shelf 2
	"origin" "1760 -1088 192"
	"mins" "-160 -32 -64"
	"maxs" "160 32 64"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block above right side shelf 3
	"origin" "1120 -1088 192"
	"mins" "-80 -32 -64"
	"maxs" "80 32 64"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block above dark room left shelf
	"origin" "1656 -1488 192"
	"mins" "-80 -32 -64"
	"maxs" "80 32 64"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block above dark room right shelf
	"origin" "1472 -1320 192"
	"mins" "-80 -32 -64"
	"maxs" "80 32 64"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block tops of hedge along back side
{
	; invisible block above hedge 1
	"origin" "-562 1206 398"
	"mins" "-50 -218 -370"
	"maxs" "50 218 370"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block above hedge 2
	"origin" "-1078 1474 398"
	"mins" "-566 -50 -370"
	"maxs" "566 50 370"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block above hedge 3
	"origin" "-2078 1482 398"
	"mins" "-142 -50 -370"
	"maxs" "142 50 370"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block top of hotdog stand near hedge
{
	; invisible block above hotdog stand
	"origin" "-1782 1444 390"
	"angles" "0 5 0"
	"mins" "-110 -56 -378"
	"maxs" "110 56 378"
	"boxmins" "-110 -56 -378"
	"boxmaxs" "110 56 378"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block above low clip behind hotdog stand
	"origin" "-1784 1504 384"
	"mins" "-104 -32 -384"
	"maxs" "104 32 384"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block top of maintenance section by hedge
{
	; invisible block above maintenance boxes
	"origin" "-2670 1512 376"
	"mins" "-70 -24 -392"
	"maxs" "70 24 392"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block top of unmarked building near corner
{
	; invisible block above unmarked building
	"origin" "-2432 768 408"
	"mins" "-208 -112 -360"
	"maxs" "208 112 360"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block tops of tents in far corner
{
	; invisible block above tents
	"origin" "-2976 1472 392"
	"mins" "-128 -64 -376"
	"maxs" "128 64 376"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block tops of tents under the bridge section
{
	; invisible block above tents 1
	"origin" "-1278 1088 394"
	"mins" "-66 -68 -374"
	"maxs" "66 68 374"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block above tents 2
	"origin" "-1150 1072 394"
	"mins" "-66 -68 -374"
	"maxs" "66 68 374"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block above tents 3
	"origin" "-1007 1104 394"
	"angles" "0 12 0"
	"mins" "-66 -68 -374"
	"maxs" "66 68 374"
	"boxmins" "-66 -68 -374"
	"boxmaxs" "66 68 374"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block tops of tents near soda machine
{
	; invisible block above tents
	"origin" "-2814 320 392"
	"mins" "-66 -68 -376"
	"maxs" "66 68 376"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block tops of tents near the generators
{
	; invisible block above tents
	"origin" "-2280 -1020 394"
	"mins" "-72 -204 -374"
	"maxs" "72 204 374"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block climbing two generators before hallway chokepoint
{
	; invisible block along generator pole 1
	"origin" "-2042 -1270 -2"
	"mins" "-6 -6 -70"
	"maxs" "6 6 70"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block along generator pole 2
	"origin" "-2414 -1462 -2"
	"mins" "-6 -6 -70"
	"maxs" "6 6 70"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block climbing on green metal awning in open area for jesus spot
{
	; invisible block above green metal awning
	"origin" "-928 -1536 382"
	"mins" "-32 -120 -387"
	"maxs" "32 120 387"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_player_blocker"
}

; --- block climbing generator before ladder chokepoint
{
	; invisible block along generator pole
	"origin" "-3762 -1988 43"
	"mins" "-8 -6 -115"
	"maxs" "8 6 115"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block unclipped area off map behind fence near ladder chokepoint
{
	; invisible block above fence
	"origin" "-3904 -1144 88"
	"mins" "-64 -8 -104"
	"maxs" "64 8 104"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block upper bridge at bottom of slide to prevent being tank punched onto it
{
	; invisible block above upper bridge
	"origin" "-1536 -2368 448"
	"mins" "-64 -448 -320"
	"maxs" "64 448 320"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block tops of tents at bottom of slide
{
	; invisible block above tents
	"origin" "-1126 -2821 396"
	"mins" "-130 -67 -372"
	"maxs" "130 67 372"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block tops of hedge at bottom of slide
{
	; invisible block above hedge 1
	"origin" "-1032 -3264 394"
	"mins" "-128 -32 -374"
	"maxs" "128 32 374"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block above hedge 2
	"origin" "-1792 -1836 394"
	"mins" "-132 -44 -374"
	"maxs" "132 44 374"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block climbing generator at bottom of slide
{
	; invisible block along generator pole
	"origin" "-2343 -3287 47"
	"mins" "-6 -6 -111"
	"maxs" "6 6 111"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block to avoid survivors sitting on fence before pre-merry-go-round drop
{
	; invisible block along fence
	"origin" "-2430 -3841 30"
	"mins" "0 -12 0"
	"maxs" "388 0 200"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block upper on the left before merry-go-round
{
	; invisible block on upper section
	"origin" "-2046 -3842 36"
	"mins" "0 -642 0"
	"maxs" "262 0 300"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block zombie jump return from one-way drop
{
	; invisible block around concrete pillar
	"origin" "-2670 -4243 -48"
	"mins" "-19 -19 -80"
	"maxs" "19 19 80"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- make it harder to zombie-jump back over the point-of-no-return
{
	; invisible block on ice bin
	"origin" "-3441 -4149 -122"
	"mins" "0 0 0"
	"maxs" "82 48 80"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block getting knocked on hotdog stand by tank
{
	; invisible block above hotdog stand
	"origin" "-1508 -4414 392"
	"angles" "0 -5 0"
	"mins" "-112 -56 -376"
	"boxmins" "-112 -56 -376"
	"maxs" "112 56 376"
	"boxmaxs" "112 56 376"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block getting knocked on candy apples tent by tank
{
	; invisible block above tent
	"origin" "-1090 -4700 328"
	"angles" "0 10 0"
	"mins" "-72 -64 -344"
	"boxmins" "-72 -64 -344"
	"maxs" "72 64 344"
	"boxmaxs" "72 64 344"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block climbing generator after exiting carousel
{
	; invisible block along generator pole
	"origin" "-1288 -6212 0"
	"mins" "-8 -8 -68"
	"maxs" "8 8 68"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block climbing generator at carousel off switch
{
	; invisible block along generator pole
	"origin" "-2796 -6322 45"
	"mins" "-8 -6 -113"
	"maxs" "8 6 113"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block being punched or multicharged on top of train tracks near ladder choke
{
	; invisible block
	"origin" "-2721 -825 337"
	"mins" "-57 -313 -208.5"
	"maxs" "57 313 208.5"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block 2 bushes near the restrooms near the start of the map to prevent being punched on
{
	; invisible block over bush
	"origin" "3730 1236 395"
	"mins" "-149 -56.5 -395.5"
	"maxs" "149 56.5 395.5"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block over bush
	"origin" "3839 1075 361"
	"mins" "-50 -136.5 -361.5"
	"maxs" "50 136.5 361.5"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block a shutter door and air conditioning unit near first pill room
{
	; invisible block
	"origin" "-4021 -1598 376"
	"mins" "-13 -67 -380.5"
	"maxs" "13 67 380.5"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block
	"origin" "-4002 -1281 449"
	"mins" "-31 -69 -359"
	"maxs" "31 69 359"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block the tops of two tents in kiddyland
{
	; invisible block
	"origin" "-579 754 332"
	"mins" "-73 -146.5 -450"
	"maxs" "73 146.5 450"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block the top of a hotdog stand near the slide
{
	; invisible block
	"origin" "-2678 -2869 306.24"
	"mins" "-57 -111 -435.5"
	"maxs" "57 111 435.5"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block a stuck spot on a rooftop during carousel event
{
	; invisible block
	"origin" "-1792 -7311 250"
	"mins" "-256 -16 -125"
	"maxs" "256 16 125"
	"initialstate" "1"
	"BlockType" "0"
	"classname" "env_physics_blocker"
}

; --- block the tops of the five porta potties outside the warehouse
{
	"origin" "514 -1031 380"
	"mins" "-31 -41 -380.5"
	"maxs" "31 41 380.5"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	"origin" "513 -880 388"
	"mins" "-32 -32.5 -388.5"
	"maxs" "32 32.5 388.5"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	"origin" "980 -715 384"
	"mins" "-45 -102.5 -384.5"
	"maxs" "45 102.5 384.5"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block the tops of the hedges outside the warehouse
{
	"origin" "401 -1510 383"
	"mins" "-46.5 -280.5 -391.5"
	"maxs" "46.5 280.5 391.5"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; --- block an out of bounds spot near warehouse
{
	"origin" "3908 -2961 395"
	"mins" "-1224 -43.5 -395.5"
	"maxs" "1224 43.5 395.5"
	"initialstate" "1"
	"BlockType" "0"
	"classname" "env_physics_blocker"
}

; --- block getting punched on top of wood supports on roofs
{
	"origin" "-3146 -1189 451"
	"mins" "126 4.5 323"
	"maxs" "-126 -4.5 -323"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	"origin" "-2853 -1538 460"
	"mins" "4.5 354.5 331"
	"maxs" "-4.5 -354.5 -331"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	"origin" "-2960 -1884 457"
	"mins" "-98.5 -4.5 -329.5"
	"maxs" "98.5 4.5 329.5"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; =====================================================
; ============== BREAKABLE WALL FIX ===================
; =====================================================
modify:
{
	match:
	{
		"targetname" "courtyard_bldg1_clip"
	}
	replace:
	{
		"Solidity" "1"
	}
}
{
	match:
	{
		"targetname" "courtyard_bldg2_clip"
	}
	replace:
	{
		"Solidity" "1"
	}
}

; =====================================================
; ================  NUISANCE CHANGES  =================
; =====================================================

add:
; --- prevent chargers getting stuck on lip of roof edge at ladder choke
{
	; invisible block small ramp along edge of roof
	"origin" "-3119 -896 152"
	"angles" "-40 0 0"
	"mins" "-56 -256 -6"
	"maxs" "56 256 6"
	"boxmins" "-56 -256 -6"
	"boxmaxs" "56 256 6"
	"initialstate" "1"
	"BlockType" "0"
	"classname" "env_physics_blocker"
}
; --- prevent gnome chompski from being lost in the floor (and hittables sinking too)
{
	"origin" "0 0 -128"
	"mins" "-10000 -10000 -2"
	"maxs" "10000 10000 0"
	"boxmins" "-10000 -10000 -2"
	"boxmaxs" "10000 10000 0"
	"initialstate" "1"
	"BlockType" "4"
	"classname" "env_physics_blocker"
}
; --- Fix survivors receiving no fall damage if punched down slide
filter:
{
	"hammerid" "3065028"
}
; -- Reposition hittable forklift at start to be in a less awkward position

modify:
{
	match:
	{
		"hammerid" "1119740"
	}
	replace:
	{
		"angles" "0 270 0"
	}
}
{
	match:
	{
		"hammerid" "1119740"
	}
	replace:
	{
		"origin" "2581 -1642 51"
	}
}
{
	match:
	{
		"hammerid" "1119740"
	}
	replace:
	{
	"spawnflags" "256"
	}
}

; --- remove the 2 green trash cans near it
filter:
{
	"hammerid" "1680567"
}
{
	"hammerid" "1680571"
}

; =====================================================
add:
; --- promod prop exploit block - block top of bush at bottom of slide
{
	; invisible block
	"origin" "-1722 -2969 299"
	"mins" "-120 -37.5 -441.5"
	"maxs" "120 37.5 441.5"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
; --- promod prop invis block to make box jump near start possible
{
	; invisible block 1
	"origin" "1562 2525 24"
	"mins" "-26 -37 -23"
	"maxs" "26 37 23"
	"initialstate" "1"
	"BlockType" "0"
	"classname" "env_physics_blocker"
}
{
	; invisible block 2
	"origin" "1554 2540 72"
	"mins" "-18 -24.5 -25"
	"maxs" "18 24.5 25"
	"initialstate" "1"
	"BlockType" "0"
	"classname" "env_physics_blocker"
}
; --- promod prop invis block to make jump to end saferoom roof easier
{
	; invisible block over soda machine
	"origin" "-3679 -5734 -17"
	"mins" "-25 -21 -48"
	"maxs" "25 21 48"
	"initialstate" "1"
	"BlockType" "0"
	"classname" "env_physics_blocker"
}
{
	; invisible block over wall vent
	"origin" "-4078 -5703 93"
	"mins" "-20 -69 -24"
	"maxs" "20 69 24"
	"initialstate" "1"
	"BlockType" "0"
	"classname" "env_physics_blocker"
}

{
	"classname" "prop_dynamic"
	"angles" "0.0 0.0 0.0"
	"disableshadows" "1"
	"model" "models/props_urban/fence_cover001_64.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "3066 -1760 2"
}
{
	"classname" "prop_dynamic"
	"angles" "0 90 0"
	"disableshadows" "1"
	"model" "models/props_urban/fence_cover001_128.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-2365.6 200.208 133.1"
}
{
	"classname" "prop_dynamic"
	"angles" "0 270 0"
	"disableshadows" "1"
	"model" "models/props_urban/fence001_128.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-2365.6 201.468 133.1"
}
{
	"classname" "prop_dynamic"
	"angles" "0 90 0"
	"disableshadows" "1"
	"model" "models/props_urban/fence001_128.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-2365.6 308.386 133.1"
}
{
	"classname" "prop_dynamic"
	"angles" "0 270 0"
	"disableshadows" "1"
	"model" "models/props_urban/fence_cover001_128.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-2365.6 309.646 133.1"
}
{
	"classname" "prop_dynamic"
	"angles" "0 85.5 0"
	"disableshadows" "1"
	"model" "models/props_misc/fairground_tent_closed.mdl"
	"rendercolor" "255 0 0"
	"solid" "6"
	"origin" "-3447 -5333 -63.75"
}
{
	"classname" "prop_dynamic"
	"angles" "0 89.5 0"
	"disableshadows" "1"
	"model" "models/props_misc/fairground_tent_closed.mdl"
	"rendercolor" "0 128 0"
	"solid" "6"
	"origin" "-3391 -6009 -63.75"
}
{
	"classname" "prop_dynamic"
	"angles" "0 270 0"
	"disableshadows" "1"
	"model" "models/props_pipes/pipeset08d_corner128l_001a.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-4075 -5361 209.993"
}
{
	"classname" "prop_dynamic"
	"angles" "0 180 0"
	"disableshadows" "1"
	"model" "models/props_pipes/pipeset08d_corner128l_001a.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-4075 -5641 209.993"
}
{
	"classname" "prop_dynamic"
	"angles" "0 90 0"
	"disableshadows" "1"
	"model" "models/props_urban/chimney002.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-4067 -5502 145"
}
{
	"classname" "prop_dynamic"
	"angles" "0 180 0"
	"disableshadows" "1"
	"model" "models/props/cs_office/vending_machine.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-3678.81 -5736.22 -64.5683"
}
{
	"classname" "prop_dynamic"
	"angles" "0 269.5 -90.5"
	"disableshadows" "1"
	"model" "models/props_highway/plywood_03.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-3931 -5499 191.313"
}
{
	"classname" "prop_dynamic"
	"angles" "0 269.5 -90.5"
	"disableshadows" "1"
	"model" "models/props_highway/plywood_03.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-3931 -5619 191.313"
}
{
	"classname" "prop_dynamic"
	"angles" "0 269.5 -90.5"
	"disableshadows" "1"
	"model" "models/props_highway/plywood_03.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-3931 -5619 239.313"
}
{
	"classname" "prop_dynamic"
	"angles" "0 269.5 -90.5"
	"disableshadows" "1"
	"model" "models/props_highway/plywood_03.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-3931 -5499 239.313"
}
{
	"classname" "prop_dynamic"
	"angles" "0 0.500011 0"
	"disableshadows" "1"
	"model" "models/props_rooftop/acvent02.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-1156 -6874 32.9177"
}
{
	"classname" "prop_dynamic"
	"angles" "0 0 0"
	"disableshadows" "1"
	"model" "models/props_foliage/urban_hedge_256_128_high.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-1725 -2971 -141"
}
{
	"classname" "prop_dynamic"
	"angles" "0 90 0"
	"disableshadows" "0"
	"model" "models/props_junk/trashdumpster01a.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-2113 -2024 -101.791"
}
{
	"classname" "prop_dynamic"
	"angles" "0 270 0"
	"disableshadows" "1"
	"model" "models/props_rooftop/acvent03.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-1721 -3198 54.5353"
}
{
	"classname" "prop_dynamic"
	"angles" "0 90 0"
	"disableshadows" "1"
	"model" "models/props_urban/fence_cover001_64.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-2399.25 -3838 -127.75"
}
{
	"classname" "prop_dynamic"
	"angles" "0 90 0"
	"disableshadows" "1"
	"model" "models/props_urban/fence_cover001_64.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-2080.25 -3838 -127.75"
}
{
	"classname" "prop_dynamic"
	"angles" "0 0 0"
	"disableshadows" "1"
	"model" "models/props_street/trashbin01.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "3922.42 -1390.05 3.3011"
}
{
	"classname" "prop_dynamic"
	"angles" "0 90 0"
	"disableshadows" "1"
	"model" "models/props_urban/fence_cover001_256.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-1148.33 -3127.58 133.25"
}
{
	"classname" "prop_dynamic"
	"angles" "0 270 0"
	"disableshadows" "1"
	"model" "models/props_urban/fence001_256.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-1148.33 -3127.32 133.25"
}
{
	"classname" "prop_dynamic"
	"angles" "0 90 0"
	"disableshadows" "1"
	"model" "models/props_urban/fence001_256.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-1150.58 -3016.93 133.25"
}
{
	"classname" "prop_dynamic"
	"angles" "0 270 0"
	"disableshadows" "1"
	"model" "models/props_urban/fence_cover001_256.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-1150.58 -3016.67 133.25"
}
{
	"classname" "prop_dynamic"
	"angles" "0 0 0"
	"disableshadows" "1"
	"model" "models/props/de_nuke/ventilationduct02large.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "-4096.12 -5707.25 93.8399"
}
{
	"classname" "prop_dynamic"
	"angles" "0 225.5 0"
	"disableshadows" "1"
	"model" "models/props/cs_militia/boxes_garage_lower.mdl"
	"rendercolor" "255 255 255"
	"solid" "6"
	"origin" "1557 2529 3"
}

{
	"origin" "7288 8959 6130"
	"mins" "-6 -.5 -58"
	"maxs" "6 .5 58"
	"initialstate" "1"
	"BlockType" "2"
	"classname" "env_physics_blocker"
}
{
	"origin" "7288 8958 6121"
	"mins" "-6 -.5 -49"
	"maxs" "6 .5 49"
	"initialstate" "1"
	"BlockType" "2"
	"classname" "env_physics_blocker"
}

; --- SI ladder at the start to get out of stuck spot
{
	"classname" "prop_dynamic"
	"angles" "0 270 0"
	"disableshadows" "1"
	"model" "models/props_urban/fence_post001.mdl"
	"rendercolor" "255 255 0"
	"solid" "0"
	"origin" "1787.35 2141.95 1"
}
{
	"origin" "1784 2142 52"
	"mins" "-.5 -6 -58"
	"maxs" ".5 6 58"
	"initialstate" "1"
	"BlockType" "2"
	"classname" "env_physics_blocker"
}
{
	"origin" "1783 2142 43"
	"mins" "-.5 -6 -49"
	"maxs" ".5 6 49"
	"initialstate" "1"
	"BlockType" "2"
	"classname" "env_physics_blocker"
}
{
	"origin" "1782 2142 34"
	"mins" "-.5 -6 -40"
	"maxs" ".5 6 40"
	"initialstate" "1"
	"BlockType" "2"
	"classname" "env_physics_blocker"
}
{
	"origin" "1781 2142 25"
	"mins" "-.5 -6 -31"
	"maxs" ".5 6 31"
	"initialstate" "1"
	"BlockType" "2"
	"classname" "env_physics_blocker"
}
{
	"origin" "1780 2142 16"
	"mins" "-.5 -6 -22"
	"maxs" ".5 6 22"
	"initialstate" "1"
	"BlockType" "2"
	"classname" "env_physics_blocker"
}
{
	"origin" "1779 2142 7"
	"mins" "-.5 -6 -13"
	"maxs" ".5 6 13"
	"initialstate" "1"
	"BlockType" "2"
	"classname" "env_physics_blocker"
}

; --- Add a "climbable" ladder + vent prop so SI can access corner rooftops
{
	"classname" "prop_dynamic"
	"angles" "-3.5 180 0"
	"disableshadows" "1"
	"model" "models/props/de_train/ladderaluminium.mdl"
	"solid" "0"
	"origin" "4084.55 -2129 87.653"
}
; --- Add clips for the ladder so it's climbable

{
	"origin" "4080 -2129 12"
	"mins" "-.5 -6 -9"
	"maxs" ".5 6 9"
	"initialstate" "1"
	"BlockType" "2"
	"classname" "env_physics_blocker"
}
{
	"origin" "4081 -2129 21"
	"mins" "-.5 -6 -18"
	"maxs" ".5 6 18"
	"initialstate" "1"
	"BlockType" "2"
	"classname" "env_physics_blocker"
}
{
	"origin" "4082 -2129 30"
	"mins" "-.5 -6 -27"
	"maxs" ".5 6 27"
	"initialstate" "1"
	"BlockType" "2"
	"classname" "env_physics_blocker"
}
{
	"origin" "4083 -2129 39"
	"mins" "-.5 -6 -36"
	"maxs" ".5 6 36"
	"initialstate" "1"
	"BlockType" "2"
	"classname" "env_physics_blocker"
}
{
	"origin" "4084 -2129 48"
	"mins" "-.5 -6 -45"
	"maxs" ".5 6 45"
	"initialstate" "1"
	"BlockType" "2"
	"classname" "env_physics_blocker"
}
{
	"origin" "4085 -2129 57"
	"mins" "-.5 -6 -54"
	"maxs" ".5 6 54"
	"initialstate" "1"
	"BlockType" "2"
	"classname" "env_physics_blocker"
}
{
	"origin" "4086 -2129 66"
	"mins" "-.5 -6 -63"
	"maxs" ".5 6 63"
	"initialstate" "1"
	"BlockType" "2"
	"classname" "env_physics_blocker"
}
{
	"origin" "4087 -2129 74"
	"mins" "-.5 -6 -71"
	"maxs" ".5 6 71"
	"initialstate" "1"
	"BlockType" "2"
	"classname" "env_physics_blocker"
}
{
	"origin" "-4088 -2129 83"
	"mins" "-.5 -6 -80"
	"maxs" ".5 6 80"
	"initialstate" "1"
	"BlockType" "2"
	"classname" "env_physics_blocker"
}

{
	"classname" "prop_dynamic"
	"angles" "0 90.2275 0"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"disableshadows" "1"
	"origin" "2258 92 78"
}
{
	"classname" "prop_dynamic"
	"angles" "0 90.2275 0"
	"disableshadows" "1"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"origin" "2258 295 78"
}
{
	"classname" "prop_dynamic"
	"angles" "0 90.2275 0"
	"disableshadows" "1"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"origin" "2258 410 78"
}
{
	"classname" "prop_dynamic"
	"angles" "0 90.2275 0"
	"disableshadows" "1"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"origin" "2258 930 78"
}
{
	"classname" "prop_dynamic"
	"angles" "0 90.2275 0"
	"disableshadows" "1"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"origin" "2258 638 78"
}
{
	"classname" "prop_dynamic"
	"angles" "0 90.2275 0"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"origin" "2258 731 78"
}
{
	"classname" "prop_dynamic"
	"angles" "0 90.2275 0"
	"disableshadows" "1"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"origin" "1844 295 78"
}
{
	"classname" "prop_dynamic"
	"angles" "0 90.2275 0"
	"disableshadows" "1"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"origin" "1844 92 78"
}
{
	"classname" "prop_dynamic"
	"angles" "0 90.2275 0"
	"disableshadows" "1"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"origin" "1844 410 78"
}
{
	"classname" "prop_dynamic"
	"angles" "0 90.2275 0"
	"disableshadows" "1"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"origin" "1844 638 78"
}
{
	"classname" "prop_dynamic"
	"angles" "0 90.2275 0"
	"disableshadows" "1"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"origin" "1844 731 78"
}
{
	"classname" "prop_dynamic"
	"angles" "0 90.2275 0"
	"disableshadows" "1"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"origin" "1844 930 78"
}
{
	"classname" "prop_dynamic"
	"angles" "0 180.228 0"
	"disableshadows" "1"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"origin" "2046 977 78"
}
{
	"classname" "prop_dynamic"
	"angles" "0 180.228 0"
	"disableshadows" "1"
	"model" "models/props_foliage/urban_hedge_128_64_high.mdl"
	"solid" "6"
	"origin" "2046 47 78"
}

{
	"classname" "prop_dynamic"
	"angles" "0 0 0"
	"disableshadows" "1"
	"model" "models/props/de_nuke/ventilationduct02large.mdl"
	"solid" "6"
	"origin" "4383.88 -212.261 148.607"
}

; --- block survivors from jumping on the soda machine at the end of the map
{
	"origin" "-3680 -5743 121"
	"mins" "-25.5 -29.5 -186.5"
	"maxs" "25.5 29.5 186.5"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}

; =====================================================
